org.eclipse.emf.cdo

## Interface CDOObjectReference

- All Superinterfaces:
    CDOReference<CDOObject>

      public interface CDOObjectReference
      extends CDOReference<CDOObject>

  Represents a `CDOObject` typed reference from one object to another object.
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.id.CDOReference

      `NO_INDEX`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOID` | `getSourceID()`
    `CDOID` | `getTargetID()`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOReference

      `getSourceFeature, getSourceIndex, getSourceObject, getTargetObject`

- - ### Method Detail

    - #### getTargetID

          CDOID getTargetID()

      Since:
        4.6

    - #### getSourceID

          CDOID getSourceID()

      Since:
        4.6

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html